Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultLegalBasisType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalBasisKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultLegalBasisType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:02:49+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultLegalBasisType

extends LegalBasisKeyType
implements Serializable

Java class for ConsultLegalBasisType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalBasisType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalBasisKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalBasisTypeType"/>
             <element name="EffectiveOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultRecursiveLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultLegalBasisType()`

Method Summary
`org.joda.time.DateTime` | `getEffectiveOn()` Gets the value of the effectiveOn property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`List<ConsultRecursiveLegalReferenceType>` | `getLegalReferences()` Gets the value of the legalReferences property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEffectiveOn(org.joda.time.DateTime value)` Sets the value of the effectiveOn property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalBasisKeyType
`getKey, setKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultLegalBasisType

    public ConsultLegalBasisType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getEffectiveOn

    public org.joda.time.DateTime getEffectiveOn()

  Gets the value of the effectiveOn property.

  Returns:
    possible object is `String`

### setEffectiveOn

    public void setEffectiveOn(org.joda.time.DateTime value)

  Sets the value of the effectiveOn property.

  Parameters:
    `value` - allowed object is `String`

### getLegalReferences

    public List<ConsultRecursiveLegalReferenceType> getLegalReferences()

  Gets the value of the legalReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

  For example, to add a new item, do as follows:

          getLegalReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalReferenceType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.